Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer . Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences.

Query Parameters

page
integer
default:1

Page number to retrieve.

limit
integer
default:20

Number of items per page.

keyword
string

Search keyword to filter by name.

include_all
boolean
default:false

Whether to include all knowledge bases regardless of permissions.

tag_ids
string[]

Tag IDs to filter by.

Response

200 - application/json

List of knowledge bases.

data
object[]

Array of knowledge base objects.

has_more
boolean

Whether more items exist on the next page.

limit
integer

Number of items per page.

total
integer

Total number of matching items.

page
integer

Current page number.